/* babylon_ext.h
 * Babylon extensions to ISDN4Linux.
 *
 * Copyright (C) 1997-2000 SpellCaster Telecommunications Inc.
 * $Id: babylon_ext.h,v 1.1 2004/03/11 03:59:30 bcrl Exp $
 * Released under the GNU Public License. See LICENSE file for details.
 */
#ifndef __BABYLON_EXT_H__
#define __BABYLON_EXT_H__

typedef struct babylon_card_info {
	unsigned char	type;
	unsigned char	subtype;
	int		nr_card;
	int		switchtype;
	int		ch_status[3];
	unsigned int	rx_good[3];
	unsigned int	tx_good[3];
	unsigned int	rx_bad[3];
	unsigned int	tx_bad[3];
	unsigned int	irq;
	unsigned int 	io;
	unsigned int	pci_space;
} babylon_card_info_t;


#endif // __BABYLON_EXT_H__
