/*
 * mkver program - generates a version number for the kernel
 * headers
 * Copyright (C) 1997-2000 SpellCaster Telecommunications
 * $Id: mkver.c,v 1.1 2004/03/11 03:59:30 bcrl Exp $
 * Released under the GNU Public License. See LICENSE file for details.
 */
 
#include <sys/utsname.h>
#include <stdio.h>

#include "/usr/src/linux/include/linux/compile.h"
#include "/usr/src/linux/include/linux/version.h"

char *ver_str = 
	"Linux version "
	UTS_RELEASE
	" ("
	LINUX_COMPILE_BY
	"@"
	LINUX_COMPILE_HOST
	") ("
	LINUX_COMPILER
	") "
	UTS_VERSION
	;
	

int main(void)
{
	puts(ver_str);
	return 0;
}

