#include "config.h"
#include "cluster.h"

class ippool_requestor_t {
public:
	virtual void	ippool_response(u32 ip) {
		return;
	}

	virtual ~ippool_requestor_t() {
		return;
	}
};


class ippool_request_t : public bcluster_req_t {
private:
	const char		*m_pool;
	ippool_requestor_t	*m_requestor;
	const char		*m_username;

public:
	ippool_request_t(const char *pool, ippool_requestor_t *req, const char *name);

	virtual void build_pkt(struct bcluster_packet *pkt);
	virtual void rx_response(bcluster_peer_t *peer, struct bcluster_packet *pkt);
	virtual void master_get_response(void);

	virtual ~ippool_request_t() {
		return;
	}
};

void lcp_probe_user(const char *user);

