/*
 * kernel.h - Self explanitory
 * Copyright (C) 1997-2000 SpellCaster Telecommunications Inc.
 * $Id: kernel.h,v 1.1 2004/03/11 03:59:31 bcrl Exp $
 * Released under the GNU Public License. See LICENSE file for details.
 */

#ifndef KERNEL_H
#define KERNEL_H

extern "C" {
	#undef NULL
	#define NULL 0

	// init.c
	extern void aps_lock(void);
	extern void aps_unlock(void);
};

#include "timer.h"

#ifndef MIN
	#define MIN(a,b)	((a < b) ? a : b)
#endif
#ifndef MAX
	#define MAX(a,b)	((a > b) ? a : b)
#endif

#ifndef FALSE
	#define FALSE	0
	#define TRUE	!FALSE
#endif

#endif
